# Create Subscribers

Creates a new Subscribers

Endpoint: POST /subscribers
Version: v1
Security: apiKeyAuth, bearerAuth

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `bearerAuth` (unknown)
    http bearer JWT

## Header parameters:

  - `vbasoftware-database` (string, required)
    Target database

## Request fields (application/json):

  - `subscriber_ID` (string)
    Unique identifier for each family unit inside VBA. This value can be imported, assigned or randomly assigned by the system at time of record creation.

  - `address` (string)
    Address of the Subscriber.

  - `address2` (string)
    Address Line 2 of the Subscriber.

  - `billing_Cycle_ID` (string)
    Assigns a default billing cycle to be used when the Group Division 'Inv. Level' is set to 'Subscriber'.

  - `billing_Invoice_Create` (integer)
    Specifies the number of projected billing cycles to include per invoice generation.

  - `city` (string)
    City of the Subscriber.

  - `country_ID` (string)
    Country of the Subscriber.

  - `county_Code` (string)
    County of the Subscriber.

  - `date_Enrolled` (string)
    Date when the Subscriber was first enrolled.

  - `disenroll_Date` (string)
    Date when the Subscriber was disenrolled.

  - `email` (string)
    Email of the Subscriber.

  - `entry_Date` (string)
    Date when the record was first added to the system.

  - `entry_User` (string)
    User that first added the record to the system.

  - `first_Name` (string)
    First name of the Subscriber.

  - `home_Country_Code` (string)
    Country Code for the home phone number of the Subscriber.

  - `home_Phone` (string)
    Home phone number of the Subscriber.

  - `issue_State` (string)
    For Life & Disability clients, this holds the issue state for processing taxes and reporting.

  - `last_Name` (string)
    Last name of the Subscriber.

  - `middle_Name` (string)
    Middle initial of the Subscriber.

  - `name_Suffix` (string)
    Suffix or title associated with the Subscriber.

  - `notes` (string)
    No longer in use. Replaced by NotData, NoteSource and NoteReference tables.

  - `other_Name` (string)
    Information only. Used for custom reporting or client integrations.

  - `pay_Period` (string)
    Number of annual pay periods for the Subscriber. This field is informational only.

  - `pay_To_Account` (integer)
    References the FundingAccount.Account_Key and indicates the account to pay when payment reference this subscriber.

  - `pend_Ex_Code` (string)
    Assigns an Ex Code that can be applied to newly adjudicated Subscriber claims.

  - `pend_Flag` (string)
    While active, assigned Ex Codes will be applied to any newly adjudicated Subscriber claims.

  - `region_Code` (string)
    Region code of the Member's primary address.

  - `salutation` (string)
    Used by CSR to indicate the proper salutation used when communicating with the Insured.

  - `sponsor_ID` (string)
    This holds the Subscriber ID of the subscriber that sponsored this subscriber.

  - `sponsor_Relate_Code` (string)
    This identifies the relationship between the sponor and this subscriber.

  - `state` (string)
    State of the Subscriber.

  - `status` (string)
    No longer in use.

  - `update_Date` (string)
    Date when the record was last updated in the system.

  - `update_User` (string)
    User that last updated the record in the system.

  - `work_Country_Code` (string)
    Country Code for the work phone number of the Subscriber.

  - `work_Phone` (string)
    Work phone number of the Subscriber.

  - `zip_Code` (string)
    Zip Code of the Subscriber.

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (object)

  - `data.subscriber_ID` (string)
    Unique identifier for each family unit inside VBA. This value can be imported, assigned or randomly assigned by the system at time of record creation.

  - `data.address` (string)
    Address of the Subscriber.

  - `data.address2` (string)
    Address Line 2 of the Subscriber.

  - `data.billing_Cycle_ID` (string)
    Assigns a default billing cycle to be used when the Group Division 'Inv. Level' is set to 'Subscriber'.

  - `data.billing_Invoice_Create` (integer)
    Specifies the number of projected billing cycles to include per invoice generation.

  - `data.city` (string)
    City of the Subscriber.

  - `data.country_ID` (string)
    Country of the Subscriber.

  - `data.county_Code` (string)
    County of the Subscriber.

  - `data.date_Enrolled` (string)
    Date when the Subscriber was first enrolled.

  - `data.disenroll_Date` (string)
    Date when the Subscriber was disenrolled.

  - `data.email` (string)
    Email of the Subscriber.

  - `data.entry_Date` (string)
    Date when the record was first added to the system.

  - `data.entry_User` (string)
    User that first added the record to the system.

  - `data.first_Name` (string)
    First name of the Subscriber.

  - `data.home_Country_Code` (string)
    Country Code for the home phone number of the Subscriber.

  - `data.home_Phone` (string)
    Home phone number of the Subscriber.

  - `data.issue_State` (string)
    For Life & Disability clients, this holds the issue state for processing taxes and reporting.

  - `data.last_Name` (string)
    Last name of the Subscriber.

  - `data.middle_Name` (string)
    Middle initial of the Subscriber.

  - `data.name_Suffix` (string)
    Suffix or title associated with the Subscriber.

  - `data.notes` (string)
    No longer in use. Replaced by NotData, NoteSource and NoteReference tables.

  - `data.other_Name` (string)
    Information only. Used for custom reporting or client integrations.

  - `data.pay_Period` (string)
    Number of annual pay periods for the Subscriber. This field is informational only.

  - `data.pay_To_Account` (integer)
    References the FundingAccount.Account_Key and indicates the account to pay when payment reference this subscriber.

  - `data.pend_Ex_Code` (string)
    Assigns an Ex Code that can be applied to newly adjudicated Subscriber claims.

  - `data.pend_Flag` (string)
    While active, assigned Ex Codes will be applied to any newly adjudicated Subscriber claims.

  - `data.region_Code` (string)
    Region code of the Member's primary address.

  - `data.salutation` (string)
    Used by CSR to indicate the proper salutation used when communicating with the Insured.

  - `data.sponsor_ID` (string)
    This holds the Subscriber ID of the subscriber that sponsored this subscriber.

  - `data.sponsor_Relate_Code` (string)
    This identifies the relationship between the sponor and this subscriber.

  - `data.state` (string)
    State of the Subscriber.

  - `data.status` (string)
    No longer in use.

  - `data.update_Date` (string)
    Date when the record was last updated in the system.

  - `data.update_User` (string)
    User that last updated the record in the system.

  - `data.work_Country_Code` (string)
    Country Code for the work phone number of the Subscriber.

  - `data.work_Phone` (string)
    Work phone number of the Subscriber.

  - `data.zip_Code` (string)
    Zip Code of the Subscriber.

  - `error` (object)

  - `error.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `error.instance` (string)
    A URI reference that identifies the specific occurrence of the problem.It may
or may not yield further information if dereferenced.

  - `error.status` (integer)
    The HTTP status code([RFC7231], Section 6) generated by the origin server for
this occurrence of the problem.

  - `error.title` (string)
    A short, human-readable summary of the problem type.It SHOULD NOT change from
occurrence to occurrence of the problem, except for purposes of localization(e.g.,
using proactive content negotiation; see[RFC7231], Section 3.4).

  - `error.type` (string)
    A URI reference [RFC3986] that identifies the problem type. This specification
encourages that, when dereferenced, it provide human-readable documentation for
the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member
is not present, its value is assumed to be "about:blank".

  - `debug` (object)

  - `debug.activityID` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden. The x-api-key header is missing or not valid. The API gateway sends this response, not VBAPI, so the body is not the VBAPI envelope; see Errors and troubleshooting.

## Response 429:

  - `429` (unknown)
    Too many requests. The limit is 25 requests per second sustained, with bursts up to 50, per API key. Wait and retry with exponential backoff and jitter.

